Skip to main content

Voids for a Capture or Credit


This section describes how to void a capture or credit that was submitted but not yet processed by the processor.

Supported Processors

  • AIBMS
  • American Express Direct
  • Banque de France et Tresor Public
  • Barclays
  • BNP Paribas France
  • Chase Tandem
  • China UnionPay
  • Cielo
  • Comercio Latino
  • Credit Mutuel-CIC
  • Elavon Americas
  • FDC Compass
  • FDC Nashville Global
  • FDI Australia
  • FDMS Nashville
  • Fiserv RapidConnect
  • Getnet
  • GPN
  • HBOS
  • HSBC
  • JCN Gateway
  • Lloyds-OmniPay
  • LloydsTSB Cardnet
  • Moneris
  • OmniPay Direct
  • Prosa
  • Rede
  • RuPay HDFC
  • SIX
  • Streamline
  • TSYS Acquiring Solutions
  • UATP
  • Vero
  • Worldpay VAP
  • Barclays
  • TSYS Acquiring Solutions
  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Endpoints

The {id} is the transaction ID of the capture or credit to void.

To void a capture:

POST /pts/v2/captures/{id}/voids

POST /pts/v2/captures/{id}/voids

POST /pts/v2/captures/{id}/voids

To void a credit:

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

Example

Standard Example

{    "clientReferenceInformation": {        "code": "test123"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/6541933390746728203005"        }    },    "clientReferenceInformation": {        "code": "1654193339056"    },    "id": "6541933390746728203005",    "orderInformation": {        "amountDetails": {            "currency": "USD"        }    },    "status": "VOIDED",    "submitTimeUtc": "2022-06-02T18:08:59Z",    "voidAmountDetails": {        "currency": "usd",        "voidAmount": "100.00"    }}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000771"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2025-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

eftpos Example

{    "clientReferenceInformation": {        "code": "TC_1"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7171437604857103911992"        }    },    "clientReferenceInformation": {        "code": "TC_1"    },    "id": "7171437604857103911992",    "orderInformation": {        "amountDetails": {            "currency": "AUD"        }    },    "processorInformation": {        "retrievalReferenceNumber": "296322222808",        "settlementDate": "0531",        "responseCode": "00"    },    "reconciliationId": "7171437479197103811992",    "status": "VOIDED",    "submitTimeUtc": "2024-05-31T08:22:41Z",    "voidAmountDetails": {        "currency": "aud",        "voidAmount": "101.00"    }}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. For most processors, this field is recommended, but not required.

Fiserv RapidConnect Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. Required for Fiserv RapidConnect.
clientReferenceInformation.reconciliationId—

eftpos Required Fields

When voiding a credit processed through the eftpos network, the void response includes these additional processor information fields:

FieldDescription
processorInformation.retrievalReferenceNumber—
processorInformation.settlementDate—
processorInformation.responseCode—

Last published: September 29, 2026